=begin pod

=TITLE class Backtrace::Frame

    class Backtrace::Frame { }

A single backtrace frame. It identifies a location in the source code.

=head1 Methods

=head2 file

    method file(Backtrace::Frame:D) returns Str

Returns the file name.

=head2 line

    method line(Backtrace::Frame:D) returns Int

Returns the line number (line numbers start to count from 1).

=head2 code

    method code(Backtrace::Frame:D)

Returns the code object into which C<.file> and C<.line> point, if avaialble.

=head2 subname

    method subname(Backtrace::Frame:D) returns Str

Returns the name of the enclosing subroutine.

=head2 is-hidden

    method is-hidden(Backtrace::Frame:D) return Bool:D

Returns C<True> if the frame is marked as hidden with the
C<is hidden_from_backtrace> trait.

=head2 is-routine

    method is-routine(Backtrace::Frame:D) return Bool:D

Return C<True> if the frame point into a routine (and not
into a mere L<Block>).

=head2 is-setting

    method is-setting(Backtrace::Frame:D) return Bool:D

Returns C<True> if the frame is part of a setting.

=end pod
